Bug 1184285 - Transaction from new topology rolled back (but succeeds on originator)
Summary: Transaction from new topology rolled back (but succeeds on originator)
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: JBoss Data Grid 6
Classification: JBoss
Component: Documentation
Version: 6.4.0
Hardware: Unspecified
OS: Unspecified
unspecified
high
Target Milestone: GA
: 6.4.0
Assignee: Misha H. Ali
QA Contact:
URL:
Whiteboard:
Depends On: 1180680
Blocks: jdg64-GA-Blockers
TreeView+ depends on / blocked
 
Reported: 2015-01-20 23:32 UTC by Misha H. Ali
Modified: 2015-01-27 23:43 UTC (History)
9 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of: 1180680
Environment:
Last Closed: 2015-01-27 23:43:54 UTC
Type: Bug


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Issue Tracker ISPN-5137 0 Critical Resolved Transaction from new topology rolled back (but succeeds on originator) 2016-06-22 02:31:23 UTC
Red Hat Issue Tracker ISPN-5158 0 Critical Resolved Transaction rolled back but returns successful response 2016-06-22 02:31:23 UTC

Comment 1 Misha H. Ali 2015-01-20 23:34:51 UTC
Document the issue from the original bug. QE will provide text.

Comment 3 Misha H. Ali 2015-01-23 00:02:43 UTC
In Red Hat JBoss Data Grid, after network partition (split-brain) is resolved, nodes start reconnecting through a series of merge events. In some of these merges a node may be reported to temporarily leave the cluster; if such node is executing a transaction spanning other nodes, this transaction is not executed on the remote node. However, the transaction can be confirmed and succeeds on the originating node.

The result is stale value on the node not committing this transaction. This inconsistency is not resolved until the entry is updated or removed; reads can return both stale and committed value.

After the merge is finished on all nodes, this situation cannot happen any more.

There is no workaround for this issue.

Comment 4 Misha H. Ali 2015-01-23 04:46:07 UTC
I've added a question in the original bug to clarify whether we wanted this information in just docs (this is what I thought) or docs+RN, or just RN.

I've added it to the docs here in a warning box:

http://docbuilder.usersys.redhat.com/12532/#Detecting_and_Recovering_from_a_Split-Brain_Problem

Setting this to martin. Does this satisfy the requirments for that bug, martin?

Comment 6 Misha H. Ali 2015-01-23 10:49:32 UTC
Thanks, Martin. I'll keep this on ASSIGNED for now then to remind myself that this may still need work.

Comment 10 Martin Gencur 2015-01-23 15:12:28 UTC
Verified the latest version.


Note You need to log in before you can comment on or make changes to this bug.